diff a/test/jdk/java/lang/ScopedValue/ManyBindings.java b/test/jdk/java/lang/ScopedValue/ManyBindings.java
--- a/test/jdk/java/lang/ScopedValue/ManyBindings.java
+++ b/test/jdk/java/lang/ScopedValue/ManyBindings.java
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 2022, 2023, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2022, 2024, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.
@@ -122,11 +122,11 @@
             newArray[index] = new KeyAndValue<>(key, newValue);
             n--;
         }
 
         // invoke recursively
-        carrier.run(() -> {
+        ScopedValue.runWhere(carrier, () -> {
             test(newArray, depth+1);
         });
 
         // check that the scoped values have the original values
         check(array);
